<?php include("includes/connection.php");
 	  include("includes/function.php");
 	  include("smtp_email.php"); 

 	  define("APP_FROM_EMAIL",$settings_details['email_from']);	
	
 	if( isset($_SERVER['HTTPS'] ) ) {  

		$file_path = 'https://'.$_SERVER['SERVER_NAME'] . dirname($_SERVER['REQUEST_URI']).'/';
	}
	else
	{
		$file_path = 'http://'.$_SERVER['SERVER_NAME'] . dirname($_SERVER['REQUEST_URI']).'/';
	}


	$get_method = checkSignSalt($_POST['data']);
 	
 	if($get_method['method_name']=="home")	
	{	
		$limit=API_LATEST_LIMIT;
		 
		$jsonObj_1= array();	

		$query1="SELECT * FROM tbl_banner WHERE status='1' ORDER BY tbl_banner.bid DESC";
		$sql1 = mysqli_query($mysqli,$query1);

		while($data1 = mysqli_fetch_assoc($sql1))
		{
			 
			$row1['bid'] = $data1['bid'];
 			$row1['banner_title'] = $data1['banner_title'];
 			$row1['banner_sort_info'] = $data1['banner_sort_info'];
			$row1['banner_image'] = $file_path.'images/'.$data1['banner_image'];
			$row1['banner_image_thumb'] = $file_path.'images/thumbs/'.$data1['banner_image'];

			$songs_list=explode(",", $data1['banner_songs']);

			$row1['total_songs'] =count($songs_list);

			foreach($songs_list as $song_id)
            {
            	$query01="SELECT * FROM tbl_mp3
				LEFT JOIN tbl_category ON tbl_mp3.cat_id= tbl_category.cid 
				WHERE tbl_mp3.id='".$song_id."' AND tbl_mp3.status='1'";

				$sql01 = mysqli_query($mysqli,$query01);

				while($data01 = mysqli_fetch_assoc($sql01))
				{
					$row01['id'] = $data01['id'];
					$row01['cat_id'] = $data01['cat_id'];
					$row01['mp3_type'] = $data01['mp3_type'];
					$row01['mp3_title'] = $data01['mp3_title'];
					$row01['mp3_url'] = $data01['mp3_url'];
		 			
					 
					$row01['mp3_thumbnail_b'] = $file_path.'images/'.$data01['mp3_thumbnail'];
					$row01['mp3_thumbnail_s'] = $file_path.'images/thumbs/'.$data01['mp3_thumbnail'];
					 
					$row01['mp3_duration'] = $data01['mp3_duration'];
					$row01['mp3_artist'] = $data01['mp3_artist'];
					$row01['mp3_description'] = $data01['mp3_description'];
					$row01['total_rate'] = $data01['total_rate'];
					$row01['rate_avg'] = $data01['rate_avg'];
					$row01['total_views'] = $data01['total_views'];
					$row01['total_download'] = $data01['total_download'];

					$row01['cid'] = $data01['cid'];
					$row01['category_name'] = $data01['category_name'];
					$row01['category_image'] = $file_path.'images/'.$data01['category_image'];
					$row01['category_image_thumb'] = $file_path.'images/thumbs/'.$data01['category_image'];
			 
					 
					$row1['songs_list'][]=$row01;
				}
            }
 
			array_push($jsonObj_1,$row1);
			
			unset($row1['songs_list']);
		}

		$row['home_banner']=$jsonObj_1;


		$jsonObj4= array();		 

		$query4="SELECT * FROM tbl_album WHERE status='1' ORDER BY tbl_album.aid DESC LIMIT $limit";
		$sql4 = mysqli_query($mysqli,$query4);

		while($data4 = mysqli_fetch_assoc($sql4))
		{
			 

			$row4['aid'] = $data4['aid'];
 			$row4['album_name'] = $data4['album_name'];
			$row4['album_image'] = $file_path.'images/'.$data4['album_image'];
			$row4['album_image_thumb'] = $file_path.'images/thumbs/'.$data4['album_image'];
 
			array_push($jsonObj4,$row4);
		
		}

		$row['latest_album']=$jsonObj4;


		$jsonObj3= array();	

		$query3="SELECT id,artist_name,artist_image FROM tbl_artist ORDER BY tbl_artist.id DESC LIMIT $limit";
		$sql3 = mysqli_query($mysqli,$query3);

		while($data3 = mysqli_fetch_assoc($sql3))
		{ 
			$row3['id'] = $data3['id'];
			$row3['artist_name'] = $data3['artist_name'];
			$row3['artist_image'] = $file_path.'images/'.$data3['artist_image'];
			$row3['artist_image_thumb'] = $file_path.'images/thumbs/'.$data3['artist_image'];
 
			array_push($jsonObj3,$row3);
		
		}

		$row['latest_artist']=$jsonObj3;


		$jsonObj_2= array();

		$start = date('Y-m-d',strtotime('first day of this month'));
  		$finish = date('Y-m-d',strtotime('last day of this month'));	

		$query2="SELECT DISTINCT tbl_mp3.id, tbl_mp3.*,tbl_category.* FROM tbl_mp3
		LEFT JOIN tbl_category ON tbl_mp3.cat_id= tbl_category.cid 
		LEFT JOIN tbl_mp3_views ON tbl_mp3.id= tbl_mp3_views.mp3_id
		WHERE tbl_mp3.status='1' AND tbl_mp3_views.date BETWEEN '$start' AND '$finish' ORDER BY tbl_mp3_views.views DESC LIMIT 50";

		$sql2 = mysqli_query($mysqli,$query2);

		while($data2 = mysqli_fetch_assoc($sql2))
		{
			$row2['id'] = $data2['id'];
			$row2['cat_id'] = $data2['cat_id'];
			$row2['mp3_type'] = $data2['mp3_type'];
			$row2['mp3_title'] = $data2['mp3_title'];
			$row2['mp3_url'] = $data2['mp3_url'];
 			
			 
			$row2['mp3_thumbnail_b'] = $file_path.'images/'.$data2['mp3_thumbnail'];
			$row2['mp3_thumbnail_s'] = $file_path.'images/thumbs/'.$data2['mp3_thumbnail'];
			 
			$row2['mp3_duration'] = $data2['mp3_duration'];
			$row2['mp3_artist'] = $data2['mp3_artist'];
			$row2['mp3_description'] = $data2['mp3_description'];
			$row2['total_rate'] = $data2['total_rate'];
			$row2['rate_avg'] = $data2['rate_avg'];
			$row2['total_views'] = $data2['total_views'];
			$row2['total_download'] = $data2['total_download'];

			$row2['cid'] = $data2['cid'];
			$row2['category_name'] = $data2['category_name'];
			$row2['category_image'] = $file_path.'images/'.$data2['category_image'];
			$row2['category_image_thumb'] = $file_path.'images/thumbs/'.$data2['category_image'];
			 

			array_push($jsonObj_2,$row2);
		
		}

		$row['trending_songs']=$jsonObj_2;

		$set['ONLINE_MP3'] = $row;
		
		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();
	}	
	else if($get_method['method_name']=="all_songs")	
	{
 
		$query_rec = "SELECT COUNT(*) as num FROM tbl_mp3
		LEFT JOIN tbl_category ON tbl_mp3.cat_id= tbl_category.cid 
		WHERE tbl_mp3.status='1'";
		$total_pages = mysqli_fetch_array(mysqli_query($mysqli,$query_rec));
		
		$page_limit=10;
			
		$limit=($get_method['page']-1) * $page_limit;
 
		$jsonObj= array();	
	
	    $query="SELECT * FROM tbl_mp3
		LEFT JOIN tbl_category ON tbl_mp3.cat_id= tbl_category.cid 
		where tbl_mp3.status='1' ORDER BY tbl_mp3.id DESC LIMIT $limit, $page_limit";

		$sql = mysqli_query($mysqli,$query);

		while($data = mysqli_fetch_assoc($sql))
		{	
			 
			$row['total_songs'] = $total_pages['num'];
			$row['id'] = $data['id'];
			$row['cat_id'] = $data['cat_id'];
			$row['mp3_type'] = $data['mp3_type'];
			$row['mp3_title'] = $data['mp3_title'];
			$row['mp3_url'] = $data['mp3_url'];
 			
			 
			$row['mp3_thumbnail_b'] = $file_path.'images/'.$data['mp3_thumbnail'];
			$row['mp3_thumbnail_s'] = $file_path.'images/thumbs/'.$data['mp3_thumbnail'];
			 
			$row['mp3_duration'] = $data['mp3_duration'];
			$row['mp3_artist'] = $data['mp3_artist'];
			$row['mp3_description'] = $data['mp3_description'];
			$row['total_rate'] = $data['total_rate'];
			$row['rate_avg'] = $data['rate_avg'];
			$row['total_views'] = $data['total_views'];
			$row['total_download'] = $data['total_download'];

			$row['cid'] = $data['cid'];
			$row['category_name'] = $data['category_name'];
			$row['category_image'] = $file_path.'images/'.$data['category_image'];
			$row['category_image_thumb'] = $file_path.'images/thumbs/'.$data['category_image'];
			 

			array_push($jsonObj,$row);
		
		}

		$set['ONLINE_MP3'] = $jsonObj;
		
		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();

		
	}
	else if($get_method['method_name']=="latest")
	{
 
		//$limit=API_LATEST_LIMIT;

		$query_rec = "SELECT COUNT(*) as num FROM tbl_mp3
		LEFT JOIN tbl_category ON tbl_mp3.cat_id= tbl_category.cid 
		WHERE tbl_mp3.status='1' ORDER BY tbl_mp3.id";
	    
	    $total_pages = mysqli_fetch_array(mysqli_query($mysqli,$query_rec));
	    
	    $page_limit=API_LATEST_LIMIT;
	      
	    $limit=($get_method['page']-1) * $page_limit;


		$jsonObj= array();	
   
		$query="SELECT * FROM tbl_mp3
		LEFT JOIN tbl_category ON tbl_mp3.cat_id= tbl_category.cid 
		WHERE tbl_mp3.status='1' ORDER BY tbl_mp3.id DESC LIMIT $limit, $page_limit";

		$sql = mysqli_query($mysqli,$query);

		while($data = mysqli_fetch_assoc($sql))
		{
			$row['total_records'] = $total_pages['num'];

			$row['id'] = $data['id'];
			$row['cat_id'] = $data['cat_id'];
			$row['mp3_type'] = $data['mp3_type'];
			$row['mp3_title'] = $data['mp3_title'];
			$row['mp3_url'] = $data['mp3_url'];
 			
			 
			$row['mp3_thumbnail_b'] = $file_path.'images/'.$data['mp3_thumbnail'];
			$row['mp3_thumbnail_s'] = $file_path.'images/thumbs/'.$data['mp3_thumbnail'];
			 
			$row['mp3_duration'] = $data['mp3_duration'];
			$row['mp3_artist'] = $data['mp3_artist'];
			$row['mp3_description'] = $data['mp3_description'];
			$row['total_rate'] = $data['total_rate'];
			$row['rate_avg'] = $data['rate_avg'];
			$row['total_views'] = $data['total_views'];
			$row['total_download'] = $data['total_download'];

			$row['cid'] = $data['cid'];
			$row['category_name'] = $data['category_name'];
			$row['category_image'] = $file_path.'images/'.$data['category_image'];
			$row['category_image_thumb'] = $file_path.'images/thumbs/'.$data['category_image'];
			 

			array_push($jsonObj,$row);
		
		}

		$set['ONLINE_MP3'] = $jsonObj;
		
		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();

	} 
	else if($get_method['method_name']=="cat_list")
 	{
 		$query_rec = "SELECT COUNT(*) as num FROM tbl_category WHERE status=1";
	    
	    $total_pages = mysqli_fetch_array(mysqli_query($mysqli,$query_rec));
	    
	    $page_limit=10;
	      
	    $limit=($get_method['page']-1) * $page_limit;

 		$jsonObj= array();
		
		$cat_order=API_CAT_ORDER_BY;


		$query="SELECT cid,category_name,category_image FROM tbl_category WHERE status=1 ORDER BY tbl_category.".$cat_order." LIMIT $limit, $page_limit";
		$sql = mysqli_query($mysqli,$query);

		while($data = mysqli_fetch_assoc($sql))
		{ 
			$row['total_records'] = $total_pages['num'];

			$row['cid'] = $data['cid'];
			$row['category_name'] = $data['category_name'];
			$row['category_image'] = $file_path.'images/'.$data['category_image'];
			$row['category_image_thumb'] = $file_path.'images/thumbs/'.$data['category_image'];
  
			array_push($jsonObj,$row);
		
		}

		$set['ONLINE_MP3'] = $jsonObj;
		
		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();
 	}
 	else if($get_method['method_name']=="cat_songs")
	{
		$post_order_by=API_CAT_POST_ORDER_BY;

		$cat_id=$get_method['cat_id'];


		$query_rec = "SELECT COUNT(*) as num FROM tbl_mp3
		LEFT JOIN tbl_category ON tbl_mp3.cat_id= tbl_category.cid 
		where tbl_mp3.cat_id='".$cat_id."' AND tbl_mp3.status='1'";
		$total_pages = mysqli_fetch_array(mysqli_query($mysqli,$query_rec));
		
		$page_limit=10;
			
		$limit=($get_method['page']-1) * $page_limit;
 
		$jsonObj= array();	
	
	    $query="SELECT * FROM tbl_mp3
		LEFT JOIN tbl_category ON tbl_mp3.cat_id= tbl_category.cid 
		where tbl_mp3.cat_id='".$cat_id."' AND tbl_mp3.status='1' ORDER BY tbl_mp3.id ".$post_order_by." LIMIT $limit, $page_limit";

		$sql = mysqli_query($mysqli,$query)or die(mysqli_error());

		while($data = mysqli_fetch_assoc($sql))
		{
			$row['total_records'] = $total_pages['num'];

			$row['id'] = $data['id'];
			$row['cat_id'] = $data['cat_id'];
			$row['mp3_type'] = $data['mp3_type'];
			$row['mp3_title'] = $data['mp3_title'];
			$row['mp3_url'] = $data['mp3_url'];
 			
			 
			$row['mp3_thumbnail_b'] = $file_path.'images/'.$data['mp3_thumbnail'];
			$row['mp3_thumbnail_s'] = $file_path.'images/thumbs/'.$data['mp3_thumbnail'];
			 
			$row['mp3_duration'] = $data['mp3_duration'];
			$row['mp3_artist'] = $data['mp3_artist'];
			$row['mp3_description'] = $data['mp3_description'];
			$row['total_rate'] = $data['total_rate'];
			$row['rate_avg'] = $data['rate_avg'];
			$row['total_views'] = $data['total_views'];
			$row['total_download'] = $data['total_download'];

			$row['cid'] = $data['cid'];
			$row['category_name'] = $data['category_name'];
			$row['category_image'] = $file_path.'images/'.$data['category_image'];
			$row['category_image_thumb'] = $file_path.'images/thumbs/'.$data['category_image'];
			 

			array_push($jsonObj,$row);
		
		}

		$set['ONLINE_MP3'] = $jsonObj;
		
		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();

		
	}
 	else if($get_method['method_name']=="recent_artist_list")
 	{
 		$jsonObj= array();
		 

		$query="SELECT id,artist_name,artist_image FROM tbl_artist ORDER BY tbl_artist.id DESC LIMIT 10";
		$sql = mysqli_query($mysqli,$query);

		while($data = mysqli_fetch_assoc($sql))
		{
			 

			$row['id'] = $data['id'];
			$row['artist_name'] = $data['artist_name'];
			$row['artist_image'] = $file_path.'images/'.$data['artist_image'];
			$row['artist_image_thumb'] = $file_path.'images/thumbs/'.$data['artist_image'];
 
			array_push($jsonObj,$row);
		
		}

		$set['ONLINE_MP3'] = $jsonObj;
		
		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();
 	}
	else if($get_method['method_name']=="artist_list")
 	{
 		$query_rec = "SELECT COUNT(*) as num FROM tbl_artist ORDER BY tbl_artist.id";
	    
	    $total_pages = mysqli_fetch_array(mysqli_query($mysqli,$query_rec));
	    
	    $page_limit=10;
	      
	    $limit=($get_method['page']-1) * $page_limit;

 		$jsonObj= array();	

		$query="SELECT id,artist_name,artist_image FROM tbl_artist ORDER BY tbl_artist.id LIMIT $limit, $page_limit";
		$sql = mysqli_query($mysqli,$query);

		while($data = mysqli_fetch_assoc($sql))
		{
			$row['total_records'] = $total_pages['num']; 

			$row['id'] = $data['id'];
			$row['artist_name'] = $data['artist_name'];
			$row['artist_image'] = $file_path.'images/'.$data['artist_image'];
			$row['artist_image_thumb'] = $file_path.'images/thumbs/'.$data['artist_image'];
 
			array_push($jsonObj,$row);
		
		}

		$set['ONLINE_MP3'] = $jsonObj;
		
		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();
 	}
 	else if($get_method['method_name']=="artist_album_list")
 	{
 		$query_rec = "SELECT COUNT(*) as num FROM tbl_album WHERE status='1' AND FIND_IN_SET(".$get_method['artist_id'].",tbl_album.artist_ids) ORDER BY tbl_album.aid DESC";
	    
	    $total_pages = mysqli_fetch_array(mysqli_query($mysqli,$query_rec));
	    
	    $page_limit=10;
	      
	    $limit=($get_method['page']-1) * $page_limit;

 		$jsonObj= array();
		 

		$query="SELECT * FROM tbl_album WHERE status='1' AND FIND_IN_SET(".$get_method['artist_id'].",tbl_album.artist_ids) ORDER BY tbl_album.aid DESC LIMIT $limit, $page_limit";
		$sql = mysqli_query($mysqli,$query);

		while($data = mysqli_fetch_assoc($sql))
		{
			$row['total_records'] = $total_pages['num']; 

			$row['aid'] = $data['aid'];
			$row['artist_ids'] = $data['artist_ids'];
 			$row['album_name'] = $data['album_name'];
			$row['album_image'] = $file_path.'images/'.$data['album_image'];
			$row['album_image_thumb'] = $file_path.'images/thumbs/'.$data['album_image'];
 
			array_push($jsonObj,$row);
		
		}

		$set['ONLINE_MP3'] = $jsonObj;
		
		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();
 	}
 	else if($get_method['method_name']=="artist_name_songs")
	{
		$post_order_by=API_CAT_POST_ORDER_BY;

		$artist_name=$get_method['artist_name'];	

		$query_rec = "SELECT COUNT(*) as num FROM tbl_mp3
		LEFT JOIN tbl_category ON tbl_mp3.cat_id= tbl_category.cid
 		WHERE tbl_mp3.mp3_artist LIKE '%".$artist_name."%' AND tbl_mp3.status='1'";
	    $total_pages = mysqli_fetch_array(mysqli_query($mysqli,$query_rec));
	    
	    $page_limit=10;
	      
	    $limit=($get_method['page']-1) * $page_limit;


		$jsonObj= array();	
	
	    $query="SELECT * FROM tbl_mp3
		LEFT JOIN tbl_category ON tbl_mp3.cat_id= tbl_category.cid
 		WHERE tbl_mp3.mp3_artist LIKE '%".$artist_name."%' AND tbl_mp3.status='1' ORDER BY tbl_mp3.id DESC LIMIT $limit, $page_limit";

		$sql = mysqli_query($mysqli,$query);

		while($data = mysqli_fetch_assoc($sql))
		{
			$row['total_records'] = $total_pages['num'];
			$row['id'] = $data['id'];
			$row['cat_id'] = $data['cat_id'];
			$row['mp3_type'] = $data['mp3_type'];
			$row['mp3_title'] = $data['mp3_title'];
			$row['mp3_url'] = $data['mp3_url'];
 			
			 
			$row['mp3_thumbnail_b'] = $file_path.'images/'.$data['mp3_thumbnail'];
			$row['mp3_thumbnail_s'] = $file_path.'images/thumbs/'.$data['mp3_thumbnail'];
			 
			$row['mp3_duration'] = $data['mp3_duration'];
			$row['mp3_artist'] = $data['mp3_artist'];
			$row['mp3_description'] = $data['mp3_description'];
			$row['total_rate'] = $data['total_rate'];
			$row['rate_avg'] = $data['rate_avg'];
			$row['total_views'] = $data['total_views'];
			$row['total_download'] = $data['total_download'];
			
			$row['cid'] = $data['cid'];
			$row['category_name'] = $data['category_name'];
			$row['category_image'] = $file_path.'images/'.$data['category_image'];
			$row['category_image_thumb'] = $file_path.'images/thumbs/'.$data['category_image'];
			 

			array_push($jsonObj,$row);
		
		}

		$set['ONLINE_MP3'] = $jsonObj;
		
		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();

		
	}
 	else if($get_method['method_name']=="album_list")
 	{
 		$query_rec = "SELECT COUNT(*) as num FROM tbl_album WHERE status='1' ORDER BY tbl_album.aid DESC";
	    
	    $total_pages = mysqli_fetch_array(mysqli_query($mysqli,$query_rec));
	    
	    $page_limit=10;
	      
	    $limit=($get_method['page']-1) * $page_limit;

 		$jsonObj= array();
		 

		$query="SELECT * FROM tbl_album WHERE status='1' ORDER BY tbl_album.aid DESC LIMIT $limit, $page_limit";
		$sql = mysqli_query($mysqli,$query);

		while($data = mysqli_fetch_assoc($sql))
		{
			$row['total_records'] = $total_pages['num']; 

			$row['aid'] = $data['aid'];
 			$row['album_name'] = $data['album_name'];
			$row['album_image'] = $file_path.'images/'.$data['album_image'];
			$row['album_image_thumb'] = $file_path.'images/thumbs/'.$data['album_image'];
 
			array_push($jsonObj,$row);
		
		}

		$set['ONLINE_MP3'] = $jsonObj;
		
		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();
 	}
 	else if($get_method['method_name']=="album_songs")
	{
		$post_order_by=API_CAT_POST_ORDER_BY;

		$album_id=$get_method['album_id'];

		$query_rec = "SELECT COUNT(*) as num FROM tbl_mp3
		LEFT JOIN tbl_category ON tbl_mp3.cat_id= tbl_category.cid
		LEFT JOIN tbl_album ON tbl_mp3.album_id= tbl_album.aid 
		where tbl_mp3.album_id='".$album_id."' AND tbl_mp3.status='1'";
	    $total_pages = mysqli_fetch_array(mysqli_query($mysqli,$query_rec));
	    
	    $page_limit=10;
	      
	    $limit=($get_method['page']-1) * $page_limit;


		$jsonObj= array();	
	
	    $query="SELECT * FROM tbl_mp3
		LEFT JOIN tbl_category ON tbl_mp3.cat_id= tbl_category.cid
		LEFT JOIN tbl_album ON tbl_mp3.album_id= tbl_album.aid 
		where tbl_mp3.album_id='".$album_id."' AND tbl_mp3.status='1' ORDER BY tbl_mp3.id ".$post_order_by." LIMIT $limit, $page_limit";

		$sql = mysqli_query($mysqli,$query);

		while($data = mysqli_fetch_assoc($sql))
		{
			$row['total_records'] = $total_pages['num'];
			$row['id'] = $data['id'];
			$row['cat_id'] = $data['cat_id'];
			$row['album_id'] = $data['album_id'];
			$row['mp3_type'] = $data['mp3_type'];
			$row['mp3_title'] = $data['mp3_title'];
			$row['mp3_url'] = $data['mp3_url'];
 			
			 
			$row['mp3_thumbnail_b'] = $file_path.'images/'.$data['mp3_thumbnail'];
			$row['mp3_thumbnail_s'] = $file_path.'images/thumbs/'.$data['mp3_thumbnail'];
			 
			$row['mp3_duration'] = $data['mp3_duration'];
			$row['mp3_artist'] = $data['mp3_artist'];
			$row['mp3_description'] = $data['mp3_description'];
			$row['total_rate'] = $data['total_rate'];
			$row['rate_avg'] = $data['rate_avg'];
			$row['total_views'] = $data['total_views'];
			$row['total_download'] = $data['total_download'];

			$row['cid'] = $data['cid'];
			$row['category_name'] = $data['category_name'];
			$row['category_image'] = $file_path.'images/'.$data['category_image'];
			$row['category_image_thumb'] = $file_path.'images/thumbs/'.$data['category_image'];
			
			$row['aid'] = $data['aid'];
 			$row['album_name'] = $data['album_name'];
			$row['album_image'] = $file_path.'images/'.$data['album_image'];
			$row['album_image_thumb'] = $file_path.'images/thumbs/'.$data['album_image']; 

			array_push($jsonObj,$row);
		
		}

		$set['ONLINE_MP3'] = $jsonObj;
		
		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();

		
	}
	else if($get_method['method_name']=="playlist")
 	{
 		$query_rec = "SELECT COUNT(*) as num FROM tbl_playlist WHERE status='1' ORDER BY tbl_playlist.pid DESC";
	    
	    $total_pages = mysqli_fetch_array(mysqli_query($mysqli,$query_rec));
	    
	    $page_limit=10;
	      
	    $limit=($get_method['page']-1) * $page_limit;

 		$jsonObj= array();
		 

		$query="SELECT * FROM tbl_playlist WHERE status='1' ORDER BY tbl_playlist.pid DESC LIMIT $limit, $page_limit";
		$sql = mysqli_query($mysqli,$query);

		while($data = mysqli_fetch_assoc($sql))
		{
			 
			$row['total_records'] = $total_pages['num'];

			$row['pid'] = $data['pid'];
 			$row['playlist_name'] = $data['playlist_name'];
			$row['playlist_image'] = $file_path.'images/'.$data['playlist_image'];
			$row['playlist_image_thumb'] = $file_path.'images/thumbs/'.$data['playlist_image'];
 
			array_push($jsonObj,$row);
		
		}

		$set['ONLINE_MP3'] = $jsonObj;
		
		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();
 	}
 	else if($get_method['method_name']=="playlist_songs")
	{
		$post_order_by=API_CAT_POST_ORDER_BY;

		$playlist_id=$get_method['playlist_id'];	

		$jsonObj= array();	
	
	    $query="SELECT * FROM tbl_playlist
  		where tbl_playlist.status='1' AND pid='".$playlist_id."'";

		$sql = mysqli_query($mysqli,$query);

		while($data = mysqli_fetch_assoc($sql))
		{
			 
			$row['pid'] = $data['pid'];
 			$row['playlist_name'] = $data['playlist_name'];
			$row['playlist_image'] = $file_path.'images/'.$data['playlist_image'];
			$row['playlist_image_thumb'] = $file_path.'images/thumbs/'.$data['playlist_image']; 

			$songs_list=explode(",", $data['playlist_songs']);

			$total_records=count($songs_list);

			foreach($songs_list as $song_id)
            {
            	$page_limit=10;
      
    			$limit=($get_method['page']-1) * $page_limit;

            	$query1="SELECT * FROM tbl_mp3
				LEFT JOIN tbl_category ON tbl_mp3.cat_id= tbl_category.cid 
				WHERE tbl_mp3.id='".$song_id."' AND tbl_mp3.status='1' LIMIT $limit, $page_limit";

				$sql1 = mysqli_query($mysqli,$query1);

				while($data1 = mysqli_fetch_assoc($sql1))
				{
					$row1['total_records'] = "$total_records";

					$row1['id'] = $data1['id'];
					$row1['cat_id'] = $data1['cat_id'];
					$row1['mp3_type'] = $data1['mp3_type'];
					$row1['mp3_title'] = $data1['mp3_title'];
					$row1['mp3_url'] = $data1['mp3_url'];
		 			
					 
					$row1['mp3_thumbnail_b'] = $file_path.'images/'.$data1['mp3_thumbnail'];
					$row1['mp3_thumbnail_s'] = $file_path.'images/thumbs/'.$data1['mp3_thumbnail'];
					 
					$row1['mp3_duration'] = $data1['mp3_duration'];
					$row1['mp3_artist'] = $data1['mp3_artist'];
					$row1['mp3_description'] = $data1['mp3_description'];
					$row1['total_rate'] = $data1['total_rate'];
					$row1['rate_avg'] = $data1['rate_avg'];
					$row1['total_views'] = $data1['total_views'];
					$row1['total_download'] = $data1['total_download'];

					$row1['cid'] = $data1['cid'];
					$row1['category_name'] = $data1['category_name'];
					$row1['category_image'] = $file_path.'images/'.$data1['category_image'];
					$row1['category_image_thumb'] = $file_path.'images/thumbs/'.$data1['category_image'];
			 
					 
					$row['songs_list'][]=$row1;
				}
            }

			array_push($jsonObj,$row);
		
		}

		$set['ONLINE_MP3'] = $jsonObj;
		
		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();

		
	}
	else if($get_method['method_name']=="single_song")
	{
		  
				 
		$jsonObj= array();	

		 
		$query="SELECT * FROM tbl_mp3
		LEFT JOIN tbl_category ON tbl_mp3.cat_id= tbl_category.cid 
		WHERE tbl_mp3.id='".$get_method['song_id']."' AND tbl_mp3.status='1'";

		$sql = mysqli_query($mysqli,$query);

		while($data = mysqli_fetch_assoc($sql))
		{
			$row['id'] = $data['id'];
			$row['cat_id'] = $data['cat_id'];
			$row['mp3_type'] = $data['mp3_type'];
			$row['mp3_title'] = $data['mp3_title'];
			$row['mp3_url'] = $data['mp3_url'];
 			
			 
			$row['mp3_thumbnail_b'] = $file_path.'images/'.$data['mp3_thumbnail'];
			$row['mp3_thumbnail_s'] = $file_path.'images/thumbs/'.$data['mp3_thumbnail'];
			 
			$row['mp3_duration'] = $data['mp3_duration'];
			$row['mp3_artist'] = $data['mp3_artist'];
			$row['mp3_description'] = $data['mp3_description'];
			$row['total_rate'] = $data['total_rate'];
			$row['rate_avg'] = $data['rate_avg'];
			$row['total_views'] = $data['total_views'];
			$row['total_download'] = $data['total_download'];

			$row['cid'] = $data['cid'];
			$row['category_name'] = $data['category_name'];
			$row['category_image'] = $file_path.'images/'.$data['category_image'];
			$row['category_image_thumb'] = $file_path.'images/thumbs/'.$data['category_image'];
			 
			if($get_method['device_id'])
			{
				$query1 = mysqli_query($mysqli,"select * from tbl_rating where post_id  = '".$get_method['song_id']."' && ip = '".$get_method['device_id']."' ");
				$data1 = mysqli_fetch_assoc($query1);

				if(@count($data1) != 0 ){
					$row['user_rate'] = $data1['rate'];
				}
				else
				{
					$row['user_rate'] = 0;
				}
			}
			 
			array_push($jsonObj,$row);
		
		}
 		
 		$view_qry=mysqli_query($mysqli,"UPDATE tbl_mp3 SET total_views = total_views + 1 WHERE id = '".$get_method['song_id']."'");

 		$mp3_id= $get_method['song_id'];  
    	$date = date('Y-m-d');   
      
      $start = (date('D') != 'Mon') ? date('Y-m-d', strtotime('last Monday')) : date('Y-m-d'); 
      $finish = (date('D') != 'Sat') ? date('Y-m-d', strtotime('next Saturday')) : date('Y-m-d');
 

	    $query="SELECT * FROM tbl_mp3_views WHERE mp3_id='$mp3_id' and date BETWEEN '$start' AND '$finish'";
	    $sql = mysqli_query($mysqli,$query);  


	    if(mysqli_num_rows($sql)>0)
	    {

	      $query1 = "UPDATE tbl_mp3_views SET views=views+1 WHERE mp3_id='$mp3_id' and date BETWEEN '$start' AND '$finish'";
	      $sql1 = mysqli_query($mysqli,$query1);

	    }
	    else
	    {

	      $data = array( 
	          'mp3_id'  =>  $mp3_id,
	          'views'  =>  1,
	          'date'  =>  $date
	          );    
	 
	      $qry = Insert('tbl_mp3_views',$data);

	    }

		$set['ONLINE_MP3'] = $jsonObj;
		
		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();	
 

	}	 		
	else if($get_method['method_name']=="song_download")
	{
		$jsonObj= array();		
		 
		$view_qry=mysqli_query($mysqli,"UPDATE tbl_mp3 SET total_download = total_download + 1 WHERE id = '".$get_method['song_id']."'");
 	 

    	$total_dw_sql="SELECT * FROM tbl_mp3 WHERE id='".$get_method['song_id']."'";
	    $total_dw_res=mysqli_query($mysqli,$total_dw_sql);
	    $total_dw_row=mysqli_fetch_assoc($total_dw_res);
	    
	         
        $jsonObj = array( 'total_download' => $total_dw_row['total_download']);

        $set['ONLINE_MP3'][] = $jsonObj;
        header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();
	}	
	else if($get_method['method_name']=="song_search")
	{


		if($get_method['search_type']=="songs")
			{
                
                $query_rec = "SELECT COUNT(*) as num FROM tbl_mp3
				LEFT JOIN tbl_category ON tbl_mp3.cat_id= tbl_category.cid
				WHERE tbl_mp3.status='1' AND tbl_mp3.mp3_title like '%".addslashes($get_method['search_text'])."%' 
				ORDER BY tbl_mp3.mp3_title";
        		$total_pages = mysqli_fetch_array(mysqli_query($mysqli,$query_rec));
        		
        		$page_limit=10;
        			
        		$limit=($get_method['page']-1) * $page_limit;
                
		    	$jsonObj0= array();	
		   
				$query0="SELECT * FROM tbl_mp3
				LEFT JOIN tbl_category ON tbl_mp3.cat_id= tbl_category.cid
				WHERE tbl_mp3.status='1' AND tbl_mp3.mp3_title like '%".addslashes($get_method['search_text'])."%' 
				ORDER BY tbl_mp3.mp3_title LIMIT $limit, $page_limit";

				$sql0 = mysqli_query($mysqli,$query0)or die(mysqli_error());

				while($data0 = mysqli_fetch_assoc($sql0))
				{
				    $row0['total_data'] = $total_pages['num'];
					$row0['id'] = $data0['id'];
					$row0['cat_id'] = $data0['cat_id'];
					$row0['mp3_type'] = $data0['mp3_type'];
					$row0['mp3_title'] = $data0['mp3_title'];
					$row0['mp3_url'] = $data0['mp3_url'];
		 			
					 
					$row0['mp3_thumbnail_b'] = $file_path.'images/'.$data0['mp3_thumbnail'];
					$row0['mp3_thumbnail_s'] = $file_path.'images/thumbs/'.$data0['mp3_thumbnail'];
					 
					$row0['mp3_duration'] = $data0['mp3_duration'];
					$row0['mp3_artist'] = $data0['mp3_artist'];
					$row0['mp3_description'] = $data0['mp3_description'];
					$row0['total_rate'] = $data0['total_rate'];
					$row0['rate_avg'] = $data0['rate_avg'];
					$row0['total_views'] = $data0['total_views'];
					$row0['total_download'] = $data0['total_download'];

					$row0['cid'] = $data0['cid'];
					$row0['category_name'] = $data0['category_name'];
					$row0['category_image'] = $file_path.'images/'.$data0['category_image'];
					$row0['category_image_thumb'] = $file_path.'images/thumbs/'.$data0['category_image'];			 

					array_push($jsonObj0,$row0);
				
				}
		 
				$set['ONLINE_MP3'] = $jsonObj0;
		}
		else if($get_method['search_type']=="artist")
		{
            
               $query_rec = "SELECT COUNT(*) as num FROM tbl_artist
				WHERE tbl_artist.artist_name like '%".addslashes($get_method['search_text'])."%' 
				ORDER BY tbl_artist.artist_name";
        		$total_pages = mysqli_fetch_array(mysqli_query($mysqli,$query_rec));
        		
        		$page_limit=10;
        			
        		$limit=($get_method['page']-1) * $page_limit;    
                
			   $jsonObj2= array();	
		   
				$query2="SELECT * FROM tbl_artist
				WHERE tbl_artist.artist_name like '%".addslashes($get_method['search_text'])."%' 
				ORDER BY tbl_artist.artist_name LIMIT $limit, $page_limit";

				$sql2 = mysqli_query($mysqli,$query2)or die(mysqli_error());

				while($data2 = mysqli_fetch_assoc($sql2))
				{
				    $row2['total_data'] = $total_pages['num'];
					$row2['id'] = $data2['id'];
					$row2['artist_name'] = $data2['artist_name'];
					$row2['artist_image'] = $file_path.'images/'.$data2['artist_image'];
					$row2['artist_image_thumb'] = $file_path.'images/thumbs/'.$data2['artist_image'];

					array_push($jsonObj2,$row2);
				
				}
		 
				$set['ONLINE_MP3'] = $jsonObj2;
		}
		else if($get_method['search_type']=="album")
		{
                $query_rec = "SELECT COUNT(*) as num FROM tbl_album
				WHERE tbl_album.album_name like '%".addslashes($get_method['search_text'])."%' 
				ORDER BY tbl_album.album_name";
        		$total_pages = mysqli_fetch_array(mysqli_query($mysqli,$query_rec));
        		
        		$page_limit=10;
        			
        		$limit=($get_method['page']-1) * $page_limit;
                
			    $jsonObj1= array();	
		        
				$query1="SELECT * FROM tbl_album
				WHERE tbl_album.album_name like '%".addslashes($get_method['search_text'])."%' 
				ORDER BY tbl_album.album_name LIMIT $limit, $page_limit";

				$sql1 = mysqli_query($mysqli,$query1)or die(mysqli_error());

				while($data1 = mysqli_fetch_assoc($sql1))
				{
				    $row1['total_data'] = $total_pages['num'];
					$row1['aid'] = $data1['aid'];
					$row1['artist_ids'] = $data1['artist_ids']?$data1['artist_ids']:'';
					$row1['album_name'] = $data1['album_name'];
					$row1['album_image'] = $file_path.'images/'.$data1['album_image'];
					$row1['album_image_thumb'] = $file_path.'images/thumbs/'.$data1['album_image'];	 

					array_push($jsonObj1,$row1);
				
				}
		 
				$set['ONLINE_MP3'] = $jsonObj1;
		}
		else
		{       
		        $query_rec = "SELECT COUNT(*) as num FROM tbl_mp3
				LEFT JOIN tbl_category ON tbl_mp3.cat_id= tbl_category.cid
				WHERE tbl_mp3.status='1' AND tbl_mp3.mp3_title like '%".addslashes($get_method['search_text'])."%' 
				ORDER BY tbl_mp3.mp3_title";
        		$total_pages = mysqli_fetch_array(mysqli_query($mysqli,$query_rec));
        		
        		$page_limit=10;
        			
        		$limit=($get_method['page']-1) * $page_limit;
			    
			    $jsonObj0= array();	
		   
				$query0="SELECT * FROM tbl_mp3
				LEFT JOIN tbl_category ON tbl_mp3.cat_id= tbl_category.cid
				WHERE tbl_mp3.status='1' AND tbl_mp3.mp3_title like '%".addslashes($get_method['search_text'])."%' 
				ORDER BY tbl_mp3.mp3_title LIMIT $limit, $page_limit";

				$sql0 = mysqli_query($mysqli,$query0)or die(mysqli_error());

				while($data0 = mysqli_fetch_assoc($sql0))
				{
				    $row0['total_data'] = $total_pages['num'];
					$row0['id'] = $data0['id'];
					$row0['cat_id'] = $data0['cat_id'];
					$row0['mp3_type'] = $data0['mp3_type'];
					$row0['mp3_title'] = $data0['mp3_title'];
					$row0['mp3_url'] = $data0['mp3_url'];
		 			
					 
					$row0['mp3_thumbnail_b'] = $file_path.'images/'.$data0['mp3_thumbnail'];
					$row0['mp3_thumbnail_s'] = $file_path.'images/thumbs/'.$data0['mp3_thumbnail'];
					 
					$row0['mp3_duration'] = $data0['mp3_duration'];
					$row0['mp3_artist'] = $data0['mp3_artist'];
					$row0['mp3_description'] = $data0['mp3_description'];
					$row0['total_rate'] = $data0['total_rate'];
					$row0['rate_avg'] = $data0['rate_avg'];
					$row0['total_views'] = $data0['total_views'];
					$row0['total_download'] = $data0['total_download'];

					$row0['cid'] = $data0['cid'];
					$row0['category_name'] = $data0['category_name'];
					$row0['category_image'] = $file_path.'images/'.$data0['category_image'];
					$row0['category_image_thumb'] = $file_path.'images/thumbs/'.$data0['category_image'];			 

					array_push($jsonObj0,$row0);
				
				}

				$row['search_songs']=$jsonObj0;

				
				$jsonObj1= array();	
		   
				$query1="SELECT * FROM tbl_album
				WHERE tbl_album.album_name like '%".addslashes($get_method['search_text'])."%' 
				ORDER BY tbl_album.album_name LIMIT 20";

				$sql1 = mysqli_query($mysqli,$query1)or die(mysqli_error());

				while($data1 = mysqli_fetch_assoc($sql1))
				{
					$row1['aid'] = $data1['aid'];
					$row1['artist_ids'] = $data1['artist_ids']?$data1['artist_ids']:'';
					$row1['album_name'] = $data1['album_name'];
					$row1['album_image'] = $file_path.'images/'.$data1['album_image'];
					$row1['album_image_thumb'] = $file_path.'images/thumbs/'.$data1['album_image'];	 

					array_push($jsonObj1,$row1);
				
				}

				$row['search_album']=$jsonObj1;

				$jsonObj2= array();	
		   
				$query2="SELECT * FROM tbl_artist
				WHERE tbl_artist.artist_name like '%".addslashes($get_method['search_text'])."%' 
				ORDER BY tbl_artist.artist_name LIMIT 20";

				$sql2 = mysqli_query($mysqli,$query2)or die(mysqli_error());

				while($data2 = mysqli_fetch_assoc($sql2))
				{
					$row2['id'] = $data2['id'];
					$row2['artist_name'] = $data2['artist_name'];
					$row2['artist_image'] = $file_path.'images/'.$data2['artist_image'];
					$row2['artist_image_thumb'] = $file_path.'images/thumbs/'.$data2['artist_image'];

					array_push($jsonObj2,$row2);
				
				}

				$row['search_artist']=$jsonObj2;

				$set['ONLINE_MP3'] = $row;
		}
 
		
		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();

	}
	else if($get_method['method_name']=="song_rating")
	{
			  $ip = $get_method['device_id'];
		      $post_id = $get_method['post_id'];
		      $therate = $get_method['rate'];

		  
		      $query1 = mysqli_query($mysqli,"select * from tbl_rating where post_id  = '$post_id' && ip = '$ip' "); 
		      while($data1 = mysqli_fetch_assoc($query1)){
		        $rate_db1[] = $data1;
		      }
		      if(@count($rate_db1) == 0 ){
		      
		           $data = array(            
		              'post_id'  =>$post_id,
		              'rate'  =>  $therate,
		               'ip'  => $ip,
		               );  
		  		$qry = Insert('tbl_rating',$data); 
		      
		          //Total rate result
		           
		        $query = mysqli_query($mysqli,"select * from tbl_rating where post_id  = '$post_id' ");
		               
		         while($data = mysqli_fetch_assoc($query)){
		                    $rate_db[] = $data;
		                    $sum_rates[] = $data['rate'];
		               
		                }
		        
		                if(@count($rate_db)){
		                    $rate_times = count($rate_db);
		                    $sum_rates = array_sum($sum_rates);
		                    $rate_value = $sum_rates/$rate_times;
		                    $rate_bg = (($rate_value)/5)*100;
		                }else{
		                    $rate_times = 0;
		                    $rate_value = 0;
		                    $rate_bg = 0;
		                }
		         
		        $rate_avg=round($rate_value); 
		        
		      $sql="update tbl_mp3 set total_rate=total_rate + 1,rate_avg='$rate_avg' where id='".$post_id."'";

		      mysqli_query($mysqli,$sql);
		        
		      $total_rat_sql="SELECT * FROM tbl_mp3 WHERE id='".$post_id."'";
		      $total_rat_res=mysqli_query($mysqli,$total_rat_sql);
		      $total_rat_row=mysqli_fetch_assoc($total_rat_res);
		    
		        echo '{"ONLINE_MP3":[{"total_rate":'.$total_rat_row['total_rate'].',"rate_avg":'.$total_rat_row['rate_avg'].',"MSG":"You have succesfully rated"}]}';
		        
		      }else{
		                
		        echo '{"ONLINE_MP3":[{"MSG":"You have already rated"}]}';
		      }

	}	
	else if($get_method['method_name']=="song_report")
    {		
  		$report=$get_method['report'];   
		
		if($report)
		{
			  
			$qry1="INSERT INTO tbl_reports (`user_id`,`song_id`,`report`) VALUES ('".$get_method['user_id']."','".$get_method['song_id']."','".$report."')"; 
            
            $result1=mysqli_query($mysqli,$qry1);  	

				
			$set['ONLINE_MP3'][] = array('msg' => 'Report has been sent successfully...','success'=>'1');
		}
		else
		{
			$set['ONLINE_MP3'][] = array('msg' => 'Please add report text','success'=>'0');
		}

  		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();
  }
  else if($get_method['method_name']=="song_suggest")
    {	
    	$user_id=$get_method['user_id'];
    	$song_title=$get_method['song_title'];	
  		$message=$get_method['message'];   
		
		if($_FILES['song_image']['name']!="")
        {
			$song_image=rand(0,99999)."_".$_FILES['song_image']['name'];
       
             //Main Image
             $tpath1='images/'.$song_image;        
             $pic1=compress_image($_FILES["song_image"]["tmp_name"], $tpath1, 80);

			$qry1="INSERT INTO tbl_song_suggest (`user_id`,`song_title`,`song_image`,`message`) VALUES ('".$user_id."','".$song_title."','".$song_image."','".$message."')";             
            $result1=mysqli_query($mysqli,$qry1);  	

				
			$set['ONLINE_MP3'][] = array('msg' => 'Suggestion has been sent successfully...','success'=>'1');
		}
		else
		{
			$qry1="INSERT INTO tbl_song_suggest (`user_id`,`song_title`,`message`) VALUES ('".$user_id."','".$song_title."','".$message."')";             
            $result1=mysqli_query($mysqli,$qry1);

            $set['ONLINE_MP3'][] = array('msg' => 'Suggestion has been sent successfully...','success'=>'1');
		}

  		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();
  }
  else if($get_method['method_name']=="user_register")
  {	
  		if($get_method['name']!='' AND $get_method['email']!='' AND $get_method['password']!='')
		{

			$qry = "SELECT * FROM tbl_users WHERE email = '".$get_method['email']."'"; 
			$result = mysqli_query($mysqli,$qry);
			$row = mysqli_fetch_assoc($result);
			
			if($row['email']!="")
			{
				$set['ONLINE_MP3'][]=array('msg' => "Email address already used!",'success'=>'0');
			}
			else
			{ 
	 			
	 			 
	 			$qry1="INSERT INTO tbl_users (`name`,`email`,`password`,`phone`,`status`) VALUES ('".$get_method['name']."','".$get_method['email']."','".$get_method['password']."','".$get_method['phone']."','1')"; 
	            
	            $result1=mysqli_query($mysqli,$qry1);  										 
						 
					
				$set['ONLINE_MP3'][]=array('msg' => "Register successflly...!",'success'=>'1');
						
			}
	  

		}
		else
		{
			$set['ONLINE_MP3'][]=array('msg' => "Empty fields!",'success'=>'0');
		}

		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();
  }
  else if($get_method['method_name']=="user_login")
  {

  		$email = $get_method['email'];
		$password = $get_method['password'];

		$qry = "SELECT * FROM tbl_users WHERE email = '".$email."' and password = '".$password."'"; 
		$result = mysqli_query($mysqli,$qry);
		$num_rows = mysqli_num_rows($result);
		$row = mysqli_fetch_assoc($result);
		
    if ($num_rows > 0)
		{ 
					 
			     $set['ONLINE_MP3'][]=array('user_id' => $row['id'],'name'=>$row['name'],'success'=>'1');
			      
			 
		}		 
		else
		{
				 
 				$set['ONLINE_MP3'][]=array('msg' =>'Login failed','success'=>'0');
 				 
		}

		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();

  }
  else if($get_method['method_name']=="user_profile")
  {
  		$qry = "SELECT * FROM tbl_users WHERE id = '".$get_method['user_id']."'"; 
		$result = mysqli_query($mysqli,$qry);
		 
		$row = mysqli_fetch_assoc($result);
	  				 
	    $set['ONLINE_MP3'][]=array('user_id' => $row['id'],'name'=>$row['name'],'email'=>$row['email'],'phone'=>$row['phone'],'success'=>'1');

	    header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();
  }
  else if($get_method['method_name']=="user_profile_update")
  {
  		if($get_method['password']!="")
		{
			$user_edit= "UPDATE tbl_users SET name='".$get_method['name']."',email='".$get_method['email']."',password='".$get_method['password']."',phone='".$get_method['phone']."' WHERE id = '".$get_method['user_id']."'";	 
		}
		else
		{
			$user_edit= "UPDATE tbl_users SET name='".$get_method['name']."',email='".$get_method['email']."',phone='".$get_method['phone']."' WHERE id = '".$get_method['user_id']."'";	 
		}
   		
   		$user_res = mysqli_query($mysqli,$user_edit);
 		 
	  				 
		$set['ONLINE_MP3'][]=array('msg'=>'Updated','success'=>'1');

  		 header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();
  }
  else if($get_method['method_name']=="forgot_pass")
  {
  		$host = $_SERVER['HTTP_HOST'];
		preg_match("/[^\.\/]+\.[^\.\/]+$/", $host, $matches);
        $domain_name=$matches[0];
         
	 	 
		$qry = "SELECT * FROM tbl_users WHERE email = '".$get_method['user_email']."'"; 
		$result = mysqli_query($mysqli,$qry);
		$row = mysqli_fetch_assoc($result);
		
		if($row['email']!="")
		{
 
			$to = $row['email'];
			$recipient_name=$row['name'];
			// subject
			$subject = '[IMPORTANT] '.APP_NAME.' Forgot Password Information';
 			
			$message='<div style="background-color: #f9f9f9;" align="center"><br />
					  <table style="font-family: OpenSans,sans-serif; color: #666666;" border="0" width="600" cellspacing="0" cellpadding="0" align="center" bgcolor="#FFFFFF">
					    <tbody>
					      <tr>
					        <td colspan="2" bgcolor="#FFFFFF" align="center"><img src="http://'.$_SERVER['SERVER_NAME'] . dirname($_SERVER['REQUEST_URI']).'/images/'.APP_LOGO.'" alt="header" /></td>
					      </tr>
					      <tr>
					        <td width="600" valign="top" bgcolor="#FFFFFF"><br>
					          <table style="font-family:OpenSans,sans-serif; color: #666666; font-size: 10px; padding: 15px;" border="0" width="100%" cellspacing="0" cellpadding="0" align="left">
					            <tbody>
					              <tr>
					                <td valign="top"><table border="0" align="left" cellpadding="0" cellspacing="0" style="font-family:OpenSans,sans-serif; color: #666666; font-size: 10px; width:100%;">
					                    <tbody>
					                      <tr>
					                        <td><p style="color: #262626; font-size: 28px; margin-top:0px;"><strong>Dear '.$row['name'].'</strong></p>
					                          <p style="color:#262626; font-size:20px; line-height:32px;font-weight:500;">Thank you for using '.APP_NAME.',<br>
					                            Your password is: '.$row['password'].'</p>
					                          <p style="color:#262626; font-size:20px; line-height:32px;font-weight:500;margin-bottom:30px;">Thanks you,<br />
					                            '.APP_NAME.'.</p></td>
					                      </tr>
					                    </tbody>
					                  </table></td>
					              </tr>
					               
					            </tbody>
					          </table></td>
					      </tr>
					      <tr>
					        <td style="color: #262626; padding: 20px 0; font-size: 20px; border-top:5px solid #52bfd3;" colspan="2" align="center" bgcolor="#ffffff">Copyright © '.APP_NAME.'.</td>
					      </tr>
					    </tbody>
					  </table>
					</div>';


			send_email($to,$recipient_name,$subject,$message);

			 	  
			$set['ONLINE_MP3'][]=array('msg' => "Password has been sent on your mail!",'success'=>'1');
		}
		else
		{  	 
				
			$set['ONLINE_MP3'][]=array('msg' => "Email not found in our database!",'success'=>'0');
					
		}

	    header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();
    }	  	 
	else if($get_method['method_name']=="app_details")
	{
		$jsonObj= array();	

		$query="SELECT * FROM tbl_settings WHERE id='1'";
		$sql = mysqli_query($mysqli,$query);

		while($data = mysqli_fetch_assoc($sql))
		{
			$row['package_name'] = $data['package_name'];	 
			$row['app_name'] = $data['app_name'];
			$row['app_logo'] = $data['app_logo'];
			$row['app_version'] = $data['app_version'];
			$row['app_author'] = $data['app_author'];
			$row['app_contact'] = $data['app_contact'];
			$row['app_email'] = $data['app_email'];
			$row['app_website'] = $data['app_website'];
			$row['app_description'] = stripslashes($data['app_description']);
 			$row['app_developed_by'] = $data['app_developed_by'];

			$row['app_privacy_policy'] = stripslashes($data['app_privacy_policy']);

			$row['publisher_id'] = $data['publisher_id'];
			$row['interstital_ad'] = $data['interstital_ad'];
			$row['interstital_ad_id'] = $data['interstital_ad_id'];
			$row['interstital_ad_click'] = $data['interstital_ad_click'];
 			$row['banner_ad'] = $data['banner_ad'];
 			$row['banner_ad_id'] = $data['banner_ad_id'];

 			$row['song_download'] = $data['song_download'];


			array_push($jsonObj,$row);
		
		}

		$set['ONLINE_MP3'] = $jsonObj;
		
		header( 'Content-Type: application/json; charset=utf-8' );
	    echo $val= str_replace('\\/', '/', json_encode($set,JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
		die();	
	}	
	else
	{
		$get_method = checkSignSalt($_POST['data']);
	}	
	 
	 
?>